<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.3.1', 'to' => '3.3.4'),
	'files'		=> array(
		'adm/style/acp_main.html',
		'adm/style/acp_search.html',
		'adm/style/admin.css',
		'adm/style/admin.js',
		'composer.json',
		'composer.lock',
		'config/.htaccess',
		'config/default/container/services_cron.yml',
		'config/default/container/services_feed.yml',
		'config/default/container/services_notification.yml',
		'config/default/container/services_text_reparser.yml',
		'images/avatars/upload/.htaccess',
		'includes/.htaccess',
		'includes/acp/acp_attachments.php',
		'includes/acp/acp_bbcodes.php',
		'includes/acp/acp_board.php',
		'includes/acp/acp_email.php',
		'includes/acp/acp_help_phpbb.php',
		'includes/acp/acp_icons.php',
		'includes/acp/acp_inactive.php',
		'includes/acp/acp_language.php',
		'includes/acp/acp_logs.php',
		'includes/acp/acp_main.php',
		'includes/acp/acp_ranks.php',
		'includes/acp/acp_search.php',
		'includes/acp/acp_styles.php',
		'includes/acp/acp_users.php',
		'includes/acp/acp_words.php',
		'includes/acp/auth.php',
		'includes/constants.php',
		'includes/diff/renderer.php',
		'includes/functions.php',
		'includes/functions_acp.php',
		'includes/functions_admin.php',
		'includes/functions_compatibility.php',
		'includes/functions_content.php',
		'includes/functions_download.php',
		'includes/functions_jabber.php',
		'includes/functions_messenger.php',
		'includes/functions_posting.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_forum.php',
		'includes/mcp/mcp_logs.php',
		'includes/mcp/mcp_main.php',
		'includes/mcp/mcp_notes.php',
		'includes/message_parser.php',
		'includes/questionnaire/questionnaire.php',
		'includes/ucp/ucp_activate.php',
		'includes/ucp/ucp_login_link.php',
		'includes/ucp/ucp_pm_compose.php',
		'includes/ucp/ucp_profile.php',
		'includes/ucp/ucp_register.php',
		'includes/ucp/ucp_resend.php',
		'index.php',
		'language/de/README.md',
		'language/de/acp/board.php',
		'language/de/acp/common.php',
		'language/de/captcha_recaptcha.php',
		'language/de/common.php',
		'language/de/email/bookmark.txt',
		'language/de/email/forum_notify.txt',
		'language/de/email/newtopic_notify.txt',
		'language/de/email/pm_report_closed.txt',
		'language/de/email/pm_report_deleted.txt',
		'language/de/email/post_approved.txt',
		'language/de/email/post_disapproved.txt',
		'language/de/email/post_in_queue.txt',
		'language/de/email/privmsg_notify.txt',
		'language/de/email/quote.txt',
		'language/de/email/report_closed.txt',
		'language/de/email/report_deleted.txt',
		'language/de/email/report_pm.txt',
		'language/de/email/report_pm_closed.txt',
		'language/de/email/report_post.txt',
		'language/de/email/short/bookmark.txt',
		'language/de/email/short/newtopic_notify.txt',
		'language/de/email/short/post_approved.txt',
		'language/de/email/short/post_disapproved.txt',
		'language/de/email/short/post_in_queue.txt',
		'language/de/email/short/privmsg_notify.txt',
		'language/de/email/short/quote.txt',
		'language/de/email/short/report_pm.txt',
		'language/de/email/short/report_post.txt',
		'language/de/email/short/topic_approved.txt',
		'language/de/email/short/topic_disapproved.txt',
		'language/de/email/short/topic_in_queue.txt',
		'language/de/email/short/topic_notify.txt',
		'language/de/email/topic_approved.txt',
		'language/de/email/topic_disapproved.txt',
		'language/de/email/topic_in_queue.txt',
		'language/de/email/topic_notify.txt',
		'language/de/install.php',
		'language/de/posting.php',
		'language/de/ucp.php',
		'language/de_x_sie/README.md',
		'language/de_x_sie/acp/board.php',
		'language/de_x_sie/acp/common.php',
		'language/de_x_sie/captcha_recaptcha.php',
		'language/de_x_sie/common.php',
		'language/de_x_sie/email/bookmark.txt',
		'language/de_x_sie/email/forum_notify.txt',
		'language/de_x_sie/email/newtopic_notify.txt',
		'language/de_x_sie/email/pm_report_closed.txt',
		'language/de_x_sie/email/pm_report_deleted.txt',
		'language/de_x_sie/email/post_approved.txt',
		'language/de_x_sie/email/post_disapproved.txt',
		'language/de_x_sie/email/post_in_queue.txt',
		'language/de_x_sie/email/privmsg_notify.txt',
		'language/de_x_sie/email/quote.txt',
		'language/de_x_sie/email/report_closed.txt',
		'language/de_x_sie/email/report_deleted.txt',
		'language/de_x_sie/email/report_pm.txt',
		'language/de_x_sie/email/report_pm_closed.txt',
		'language/de_x_sie/email/report_post.txt',
		'language/de_x_sie/email/short/bookmark.txt',
		'language/de_x_sie/email/short/newtopic_notify.txt',
		'language/de_x_sie/email/short/post_approved.txt',
		'language/de_x_sie/email/short/post_disapproved.txt',
		'language/de_x_sie/email/short/post_in_queue.txt',
		'language/de_x_sie/email/short/privmsg_notify.txt',
		'language/de_x_sie/email/short/quote.txt',
		'language/de_x_sie/email/short/report_pm.txt',
		'language/de_x_sie/email/short/report_post.txt',
		'language/de_x_sie/email/short/topic_approved.txt',
		'language/de_x_sie/email/short/topic_disapproved.txt',
		'language/de_x_sie/email/short/topic_in_queue.txt',
		'language/de_x_sie/email/short/topic_notify.txt',
		'language/de_x_sie/email/topic_approved.txt',
		'language/de_x_sie/email/topic_disapproved.txt',
		'language/de_x_sie/email/topic_in_queue.txt',
		'language/de_x_sie/email/topic_notify.txt',
		'language/de_x_sie/install.php',
		'language/de_x_sie/posting.php',
		'language/de_x_sie/ucp.php',
		'language/en/acp/common.php',
		'language/en/captcha_recaptcha.php',
		'language/en/common.php',
		'language/en/email/bookmark.txt',
		'language/en/email/forum_notify.txt',
		'language/en/email/newtopic_notify.txt',
		'language/en/email/pm_report_closed.txt',
		'language/en/email/pm_report_deleted.txt',
		'language/en/email/post_approved.txt',
		'language/en/email/post_disapproved.txt',
		'language/en/email/post_in_queue.txt',
		'language/en/email/privmsg_notify.txt',
		'language/en/email/quote.txt',
		'language/en/email/report_closed.txt',
		'language/en/email/report_deleted.txt',
		'language/en/email/report_pm.txt',
		'language/en/email/report_pm_closed.txt',
		'language/en/email/report_post.txt',
		'language/en/email/short/bookmark.txt',
		'language/en/email/short/newtopic_notify.txt',
		'language/en/email/short/post_approved.txt',
		'language/en/email/short/post_disapproved.txt',
		'language/en/email/short/post_in_queue.txt',
		'language/en/email/short/privmsg_notify.txt',
		'language/en/email/short/quote.txt',
		'language/en/email/short/report_pm.txt',
		'language/en/email/short/report_post.txt',
		'language/en/email/short/topic_approved.txt',
		'language/en/email/short/topic_disapproved.txt',
		'language/en/email/short/topic_in_queue.txt',
		'language/en/email/short/topic_notify.txt',
		'language/en/email/topic_approved.txt',
		'language/en/email/topic_disapproved.txt',
		'language/en/email/topic_in_queue.txt',
		'language/en/email/topic_notify.txt',
		'language/en/install.php',
		'language/en/posting.php',
		'language/en/ucp.php',
		'mcp.php',
		'memberlist.php',
		'phpbb/attachment/delete.php',
		'phpbb/attachment/resync.php',
		'phpbb/attachment/upload.php',
		'phpbb/auth/provider/apache.php',
		'phpbb/auth/provider/db.php',
		'phpbb/auth/provider/ldap.php',
		'phpbb/auth/provider/oauth/service/bitly.php',
		'phpbb/auth/provider/oauth/token_storage.php',
		'phpbb/captcha/plugins/captcha_abstract.php',
		'phpbb/captcha/plugins/recaptcha_v3.php',
		'phpbb/config/config.php',
		'phpbb/console/command/dev/migration_tips.php',
		'phpbb/console/command/fixup/update_hashes.php',
		'phpbb/console/command/update/check.php',
		'phpbb/console/command/user/activate.php',
		'phpbb/console/command/user/add.php',
		'phpbb/content_visibility.php',
		'phpbb/controller/helper.php',
		'phpbb/controller/resolver.php',
		'phpbb/cron/event/cron_runner_listener.php',
		'phpbb/cron/manager.php',
		'phpbb/cron/task/core/update_hashes.php',
		'phpbb/db/driver/driver.php',
		'phpbb/db/driver/driver_interface.php',
		'phpbb/db/driver/factory.php',
		'phpbb/db/driver/mssql_base.php',
		'phpbb/db/driver/mysqli.php',
		'phpbb/db/driver/oracle.php',
		'phpbb/db/driver/postgres.php',
		'phpbb/db/driver/sqlite3.php',
		'phpbb/db/extractor/mssql_extractor.php',
		'phpbb/db/extractor/mysql_extractor.php',
		'phpbb/db/extractor/postgres_extractor.php',
		'phpbb/db/extractor/sqlite3_extractor.php',
		'phpbb/db/migration/data/.htaccess',
		'phpbb/db/migration/data/v32x/v3211.php',
		'phpbb/db/migration/data/v33x/remove_profilefield_aol.php',
		'phpbb/db/migration/data/v33x/v332.php',
		'phpbb/db/migration/data/v33x/v332rc1.php',
		'phpbb/db/migration/data/v33x/v333.php',
		'phpbb/db/migration/data/v33x/v333rc1.php',
		'phpbb/db/migration/data/v33x/v334.php',
		'phpbb/db/migration/data/v33x/v334rc1.php',
		'phpbb/db/migration/tool/permission.php',
		'phpbb/db/tools/postgres.php',
		'phpbb/di/container_builder.php',
		'phpbb/di/extension/container_configuration.php',
		'phpbb/di/service_collection.php',
		'phpbb/error_collector.php',
		'phpbb/extension/metadata_manager.php',
		'phpbb/feed/attachments_base.php',
		'phpbb/feed/controller/feed.php',
		'phpbb/feed/helper.php',
		'phpbb/files/filespec.php',
		'phpbb/files/upload.php',
		'phpbb/filesystem/filesystem.php',
		'phpbb/group/helper.php',
		'phpbb/install/console/command/install/install.php',
		'phpbb/install/console/command/update/update.php',
		'phpbb/install/controller/helper.php',
		'phpbb/install/helper/container_factory.php',
		'phpbb/install/helper/database.php',
		'phpbb/install/helper/iohandler/ajax_iohandler.php',
		'phpbb/install/helper/iohandler/factory.php',
		'phpbb/install/helper/iohandler/iohandler_base.php',
		'phpbb/install/installer.php',
		'phpbb/install/installer_configuration.php',
		'phpbb/install/module/install_data/task/add_languages.php',
		'phpbb/install/module/install_data/task/add_modules.php',
		'phpbb/install/module/install_data/task/create_search_index.php',
		'phpbb/install/module/install_finish/task/notify_user.php',
		'phpbb/install/module/obtain_data/task/obtain_admin_data.php',
		'phpbb/install/module/obtain_data/task/obtain_board_data.php',
		'phpbb/install/module/obtain_data/task/obtain_database_data.php',
		'phpbb/install/module/obtain_data/task/obtain_file_updater_method.php',
		'phpbb/install/module/obtain_data/task/obtain_server_data.php',
		'phpbb/install/module/obtain_data/task/obtain_update_ftp_data.php',
		'phpbb/install/module/obtain_data/task/obtain_update_settings.php',
		'phpbb/install/module/requirements/task/check_server_environment.php',
		'phpbb/install/updater_configuration.php',
		'phpbb/language/language.php',
		'phpbb/language/language_file_loader.php',
		'phpbb/message/message.php',
		'phpbb/message/topic_form.php',
		'phpbb/module/module_manager.php',
		'phpbb/notification/method/email.php',
		'phpbb/notification/method/messenger_base.php',
		'phpbb/notification/type/admin_activate_user.php',
		'phpbb/notification/type/disapprove_post.php',
		'phpbb/notification/type/disapprove_topic.php',
		'phpbb/notification/type/forum.php',
		'phpbb/notification/type/group_request.php',
		'phpbb/notification/type/pm.php',
		'phpbb/notification/type/post.php',
		'phpbb/notification/type/quote.php',
		'phpbb/notification/type/report_pm.php',
		'phpbb/notification/type/report_pm_closed.php',
		'phpbb/notification/type/report_post.php',
		'phpbb/notification/type/report_post_closed.php',
		'phpbb/notification/type/topic.php',
		'phpbb/passwords/manager.php',
		'phpbb/plupload/plupload.php',
		'phpbb/profilefields/manager.php',
		'phpbb/report/controller/report.php',
		'phpbb/report/exception/factory_invalid_argument_exception.php',
		'phpbb/report/exception/invalid_report_exception.php',
		'phpbb/report/handler_factory.php',
		'phpbb/report/report_handler.php',
		'phpbb/report/report_handler_pm.php',
		'phpbb/report/report_handler_post.php',
		'phpbb/request/deactivated_super_global.php',
		'phpbb/request/request.php',
		'phpbb/request/request_interface.php',
		'phpbb/search/fulltext_mysql.php',
		'phpbb/search/fulltext_postgres.php',
		'phpbb/search/fulltext_sphinx.php',
		'phpbb/session.php',
		'phpbb/template/twig/extension.php',
		'phpbb/template/twig/twig.php',
		'phpbb/textformatter/data_access.php',
		'phpbb/textformatter/s9e/bbcode_merger.php',
		'phpbb/textformatter/s9e/factory.php',
		'phpbb/textformatter/s9e/utils.php',
		'phpbb/textformatter/utils_interface.php',
		'phpbb/textreparser/plugins/poll_option.php',
		'phpbb/ucp/controller/reset_password.php',
		'phpbb/user.php',
		'posting.php',
		'search.php',
		'styles/all/imgs/svg/phpbb_logo_large_cosmic.svg',
		'styles/all/template/feed.xml.twig',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/bbcode.html',
		'styles/prosilver/template/forum_fn.js',
		'styles/prosilver/template/mcp_ban.html',
		'styles/prosilver/template/mcp_forum.html',
		'styles/prosilver/template/mcp_notes_front.html',
		'styles/prosilver/template/mcp_notes_user.html',
		'styles/prosilver/template/mcp_warn_front.html',
		'styles/prosilver/template/mcp_warn_post.html',
		'styles/prosilver/template/mcp_warn_user.html',
		'styles/prosilver/template/memberlist_search.html',
		'styles/prosilver/template/posting_attach_body.html',
		'styles/prosilver/template/search_body.html',
		'styles/prosilver/template/search_results.html',
		'styles/prosilver/template/ucp_agreement.html',
		'styles/prosilver/template/ucp_avatar_options.html',
		'styles/prosilver/template/ucp_groups_manage.html',
		'styles/prosilver/template/ucp_main_drafts.html',
		'styles/prosilver/template/ucp_pm_viewmessage.html',
		'styles/prosilver/template/ucp_prefs_personal.html',
		'styles/prosilver/template/ucp_prefs_post.html',
		'styles/prosilver/template/ucp_prefs_view.html',
		'styles/prosilver/template/ucp_profile_autologin_keys.html',
		'styles/prosilver/template/ucp_profile_profile_info.html',
		'styles/prosilver/template/ucp_profile_reg_details.html',
		'styles/prosilver/template/ucp_profile_signature.html',
		'styles/prosilver/template/ucp_register.html',
		'styles/prosilver/template/ucp_resend.html',
		'styles/prosilver/template/ucp_reset_password.html',
		'styles/prosilver/template/ucp_zebra_foes.html',
		'styles/prosilver/template/ucp_zebra_friends.html',
		'styles/prosilver/template/viewforum_body.html',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/responsive.css',
		'styles/prosilver/theme/stylesheet.css',
		'viewforum.php',
	),
	'binary'		=> array(),
	'deleted'		=> array(
		'phpbb/db/migration/data/v30x/.htaccess',
		'phpbb/db/migration/data/v310/.htaccess',
		'phpbb/db/migration/data/v31x/.htaccess',
		'phpbb/db/migration/data/v320/.htaccess',
		'phpbb/db/migration/data/v32x/.htaccess',
		'phpbb/db/migration/data/v330/.htaccess',
		'phpbb/db/migration/data/v33x/.htaccess',
		'phpbb/install/module/install_database/task/create_schema.php',
	),
);
